# YarnFunctionAttribute

Class in [Yarn.Unity](/2.2/api/csharp/yarn.unity.md)

Inherits from [`YarnActionAttribute`](/2.2/api/csharp/yarn.unity/yarn.unity.yarnactionattribute.md)

## Summary

Marks the method as a function to be registered with the running instance's library.

```csharp
public class YarnFunctionAttribute : YarnActionAttribute
```

## Remarks

See `Library.RegisterFunction(string, Delegate)` and the generic overloads for what is and is not valid.

This will throw an error if you attempt to add a function that has more than 16 parameters, as that is the largest overload that `Func<TResult>` etc has.

## Properties

| Name                                                                                                                         | Description |
| ---------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [FunctionName](/2.2/api/csharp/yarn.unity/yarn.unity.yarnfunctionattribute/yarn.unity.yarnfunctionattribute.functionname.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.yarnfunctionattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
